Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rdlc.naming
Class Binding<K,V>

    java.lang.Object
      rdlc.naming.Binding<K,V>

    public class Binding<K,V>

extends java.lang.Object

Abstracts the concept of a binding in the formal naming theory sense. Contains a name and an object. This represents a binding in a catalog from the key to the value.

Version:
  $Revision: 1.4 $
Author:
  Greg Gibeling
See Also:
  `Map.Entry`

Field Summary
`protected K` | `key` The key.
`protected V` | `value` The value

Constructor Summary
`Binding(K _key, V _value)` Base constructor, assembles the binding from its properties.

Method Summary
`boolean` | `equals(java.lang.Object other)` Check for exact equality with another binding.
`K` | `getKey()` Simple accessor.
`V` | `getValue()` Simple accessor.
`int` | `hashCode()` Simple accessor.
`V` | `setValue(V _value)` Change the value named by this binding.
`java.lang.String` | `toString()` Simple accessor.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### key

    protected K key

  The key.

### value

    protected V value

  The value

Constructor Detail

### Binding

    public Binding(K _key,
                   V _value)

  Base constructor, assembles the binding from its properties.

  Parameters:
    `_key` - The key.
    `_value` - The value;

Method Detail

### hashCode

    public int hashCode()

  Simple accessor.

  Overrides:
    `hashCode` in class `java.lang.Object`
  Returns:
    The hashcode of the key.
  See Also:
    `Object.hashCode()`

### toString

    public java.lang.String toString()

  Simple accessor.

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    Generate a human readable representation of this binding.
  See Also:
    `Object.toString()`

### equals

    public boolean equals(java.lang.Object other)

  Check for exact equality with another binding. Notice that this tests both the key and value, but not to context/catalog in which the bindings are bound.

  Overrides:
    `equals` in class `java.lang.Object`
  Parameters:
    `other` - The other binding against which to test equality.
  Returns:
    `true` if both this and the other binding have the same key and value.

### getKey

    public K getKey()

  Simple accessor.

  Returns:
    The key which names this binding.

### getValue

    public V getValue()

  Simple accessor.

  Returns:
    The value named by this binding.

### setValue

    public V setValue(V _value)

  Change the value named by this binding.

  Parameters:
    `_value` - The new value to be named by this binding.
  Returns:
    The old value named by this binding.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD